%define qtversion 2.1.0

Summary: a graphical dialog editor for the Qt widget set.
Name: qtarch
Version: 2.0
Release: 2
Source: ftp://ftp.qtarch.intranova.net/%{name}-%{version}-1.tar.gz
Source1: qtarch.xpm
Source2: mini-qtarch.xpm
Patch: qtarch-config.patch
Copyright: GPL
Group: Development/Tools
BuildRoot: /var/tmp/%{name}-root

%description
Qt Architect is a graphical dialog editor for the Qt widget set.
It allows for the graphical creation and placement of widgets onto
a dialog. Various properties for the widget can also be set.
Widgets may be mapped to variables so that you can control them once
the dialog is launched. After the dialog is created on the screen,
the files for the dialog are created.

%prep
%setup -q
%patch

%build
export QTDIR=/usr/lib/qt-%{qtversion}
export MOC=/usr/lib/qt-%{qtversion}/bin/moc

make BUILD_RELEASE=1

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/bin
install -m 755 -s qtarch $RPM_BUILD_ROOT/usr/bin

mkdir -p $RPM_BUILD_ROOT/usr/share/icons/mini
install -m 644 %{SOURCE1} $RPM_BUILD_ROOT/usr/share/icons
install -m 644 %{SOURCE2} $RPM_BUILD_ROOT/usr/share/icons/mini

mkdir -p $RPM_BUILD_ROOT/etc/X11/wmconfig
cat > $RPM_BUILD_ROOT/etc/X11/wmconfig/qtarch <<EOF
vtcl name "Qtarch"
vtcl description "a graphical dialog editor for the Qt widget set"
vtcl icon "qtarch.xpm"
vtvl mini-icon "mini-qtarch.xpm"
vtcl group "Development/Tools"
vtcl exec "qtarch &"
EOF

mkdir -p $RPM_BUILD_ROOT/etc/X11/applnk/Development
cat > $RPM_BUILD_ROOT/etc/X11/applnk/Development/qtarch.desktop <<EOF
[Desktop Entry]
Name=Qtarch
Comment=a graphical dialog editor for the Qt widget set.
Comment[de]=ein grafisches Dialog-Editor fr Qt Widget.
Exec=qtarch
Icon=qtarch.xpm
MiniIcon=mini-qtarch.xpm
Terminal=0
Type=Application
EOF

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
%config(missingok) /etc/X11/wmconfig/qtarch
%config(missingok) /etc/X11/applnk/Development/qtarch.desktop
/usr/bin/qtarch
/usr/share/icons/*.xpm
/usr/share/icons/mini/*.xpm

%doc COPYING TODO README update20.pl doc/QtArch.ps
%doc misc/DlgEdit.Template.Makefile help/*.html module/module-howto.html

%changelog
* Wed Feb  2 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- Qt 2.1.0

* Thu Dec 16 1999 Ngo Than <than@redhat.de>
- initial RPM for powertools 6.2
